# Class JspPropertyGroup

java.lang.Object
org.apache.tomcat.util.descriptor.web.XmlEncodingBase
org.apache.tomcat.util.descriptor.web.JspPropertyGroup

public class JspPropertyGroup extends XmlEncodingBase
Representation of a jsp-property-group element in web.xml.

## Constructor Summary

Constructors
Constructor
Description
`JspPropertyGroup()`
Creates a new JspPropertyGroup instance with default settings.

## Method Summary

Modifier and Type
Method
Description
`void`
`addIncludeCoda(String includeCoda)`
Adds an include coda file path.
`void`
`addIncludePrelude(String includePrelude)`
Adds an include prelude file path.
`void`
`addUrlPattern(String urlPattern)`
Adds a URL pattern (URL-decoded) to this property group.
`void`
`addUrlPatternDecoded(String urlPattern)`
Adds a pre-decoded URL pattern to this property group.
`String`
`getBuffer()`
Returns the buffer size for pages in this group.
`String`
`getDefaultContentType()`
Returns the default content type for pages in this group.
`Boolean`
`getDeferredSyntax()`
Returns whether deferred syntax is allowed as literal.
`Boolean`
`getElIgnored()`
Returns whether EL is ignored.
`Boolean`
`getErrorOnELNotFound()`
Returns whether to error on EL not found.
`Boolean`
`getErrorOnUndeclaredNamespace()`
Returns whether to error on undeclared namespace.
`Collection<String>`
`getIncludeCodas()`
Returns the collection of include coda file paths.
`Collection<String>`
`getIncludePreludes()`
Returns the collection of include prelude file paths.
`Boolean`
`getIsXml()`
Returns whether the pages in this group are XML.
`String`
`getPageEncoding()`
Returns the page encoding for pages in this group.
`Boolean`
`getScriptingInvalid()`
Returns whether scripting is invalid for pages in this group.
`Boolean`
`getTrimWhitespace()`
Returns whether to trim directive whitespaces.
`Set<String>`
`getUrlPatterns()`
Returns the set of URL patterns for this property group.
`void`
`setBuffer(String buffer)`
Sets the buffer size for pages in this group.
`void`
`setDefaultContentType(String defaultContentType)`
Sets the default content type for pages in this group.
`void`
`setDeferredSyntax(String deferredSyntax)`
Sets whether deferred syntax is allowed as literal.
`void`
`setElIgnored(String elIgnored)`
Sets whether EL is ignored.
`void`
`setErrorOnELNotFound(String errorOnELNotFound)`
Sets whether to error on EL not found.
`void`
`setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)`
Sets whether to error on undeclared namespace.
`void`
`setIsXml(String isXml)`
Sets whether the pages in this group are XML.
`void`
`setPageEncoding(String pageEncoding)`
Sets the page encoding for pages in this group.
`void`
`setScriptingInvalid(String scriptingInvalid)`
Sets whether scripting is invalid for pages in this group.
`void`
`setTrimWhitespace(String trimWhitespace)`
Sets whether to trim directive whitespaces.

### Methods inherited from class XmlEncodingBase

`getCharset, setCharset`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JspPropertyGroup

public JspPropertyGroup()
Creates a new JspPropertyGroup instance with default settings.

## Method Details

### setDeferredSyntax

public void setDeferredSyntax(String deferredSyntax)
Sets whether deferred syntax is allowed as literal.

Parameters:
  `deferredSyntax` - the deferred syntax setting as a string boolean

### getDeferredSyntax

public Boolean getDeferredSyntax()
Returns whether deferred syntax is allowed as literal.

Returns:
  the deferred syntax setting, or null if not set

### setErrorOnELNotFound

public void setErrorOnELNotFound(String errorOnELNotFound)
Sets whether to error on EL not found.

Parameters:
  `errorOnELNotFound` - the setting as a string boolean

### getErrorOnELNotFound

public Boolean getErrorOnELNotFound()
Returns whether to error on EL not found.

Returns:
  the error on EL not found setting, or null if not set

### setElIgnored

public void setElIgnored(String elIgnored)
Sets whether EL is ignored.

Parameters:
  `elIgnored` - the EL ignored setting as a string boolean

### getElIgnored

public Boolean getElIgnored()
Returns whether EL is ignored.

Returns:
  the EL ignored setting, or null if not set

### addIncludeCoda

public void addIncludeCoda(String includeCoda)
Adds an include coda file path.

Parameters:
  `includeCoda` - the include coda file path

### getIncludeCodas

public Collection<String> getIncludeCodas()
Returns the collection of include coda file paths.

Returns:
  the include codas collection

### addIncludePrelude

public void addIncludePrelude(String includePrelude)
Adds an include prelude file path.

Parameters:
  `includePrelude` - the include prelude file path

### getIncludePreludes

public Collection<String> getIncludePreludes()
Returns the collection of include prelude file paths.

Returns:
  the include preludes collection

### setIsXml

public void setIsXml(String isXml)
Sets whether the pages in this group are XML.

Parameters:
  `isXml` - the XML setting as a string boolean

### getIsXml

public Boolean getIsXml()
Returns whether the pages in this group are XML.

Returns:
  the XML setting, or null if not set

### setPageEncoding

public void setPageEncoding(String pageEncoding)
Sets the page encoding for pages in this group.

Parameters:
  `pageEncoding` - the page encoding

### getPageEncoding

public String getPageEncoding()
Returns the page encoding for pages in this group.

Returns:
  the page encoding, or null if not set

### setScriptingInvalid

public void setScriptingInvalid(String scriptingInvalid)
Sets whether scripting is invalid for pages in this group.

Parameters:
  `scriptingInvalid` - the scripting invalid setting as a string boolean

### getScriptingInvalid

public Boolean getScriptingInvalid()
Returns whether scripting is invalid for pages in this group.

Returns:
  the scripting invalid setting, or null if not set

### setTrimWhitespace

public void setTrimWhitespace(String trimWhitespace)
Sets whether to trim directive whitespaces.

Parameters:
  `trimWhitespace` - the trim whitespace setting as a string boolean

### getTrimWhitespace

public Boolean getTrimWhitespace()
Returns whether to trim directive whitespaces.

Returns:
  the trim whitespace setting, or null if not set

### addUrlPattern

public void addUrlPattern(String urlPattern)
Adds a URL pattern (URL-decoded) to this property group.

Parameters:
  `urlPattern` - the URL pattern to add

### addUrlPatternDecoded

public void addUrlPatternDecoded(String urlPattern)
Adds a pre-decoded URL pattern to this property group.

Parameters:
  `urlPattern` - the decoded URL pattern to add

### getUrlPatterns

public Set<String> getUrlPatterns()
Returns the set of URL patterns for this property group.

Returns:
  the URL patterns

### setDefaultContentType

public void setDefaultContentType(String defaultContentType)
Sets the default content type for pages in this group.

Parameters:
  `defaultContentType` - the default content type

### getDefaultContentType

public String getDefaultContentType()
Returns the default content type for pages in this group.

Returns:
  the default content type, or null if not set

### setBuffer

public void setBuffer(String buffer)
Sets the buffer size for pages in this group.

Parameters:
  `buffer` - the buffer size setting

### getBuffer

public String getBuffer()
Returns the buffer size for pages in this group.

Returns:
  the buffer size, or null if not set

### setErrorOnUndeclaredNamespace

public void setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)
Sets whether to error on undeclared namespace.

Parameters:
  `errorOnUndeclaredNamespace` - the setting as a string boolean

### getErrorOnUndeclaredNamespace

public Boolean getErrorOnUndeclaredNamespace()
Returns whether to error on undeclared namespace.

Returns:
  the error on undeclared namespace setting, or null if not set